<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Productos - Muebleria Lucy</title>
	<link rel="icon" type="text/css" href="img/icono.png">
	<link rel="stylesheet" type="text/css" href="src/bootstrap-5.1.3-dist/css/bootstrap.min.css">
	<link rel="stylesheet" type="text/css" href="src/bootstrap-icons-1.8.1/bootstrap-icons.css">
	<link rel="stylesheet" type="text/css" href="css/styles.css">
	<script type="text/javascript" src="src/bootstrap-5.1.3-dist/js/bootstrap.min.js"></script>
</head>
<body>
	<!--MODALS-->
	<div>
		
	</div>
	<header  id="cabecera">
	</header>
	<main class="container">
		<div class="row" id="contenedorProductos">
			<div class="col p-4" id="spinnerProd">
				<div class="spinner-border" role="status">
					<span class="visually-hidden">Cargando...</span>
				</div>
			</div>
			<!--div class="col-12 col-sm-6 col-md-6 col-lg-4 col-xl-3 p-4">
				<div class="card" style="width: 18rem;">
					<h1 class="precioProd"></h1>
					<img src="img/productos/1/1.png" class="card-img-top" alt="...">
					<div class="card-body">
						<h5 class="card-title">Mueble de sala <span>$ 150</span></h5>
						<p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
						<a href="#" class="btn btn-primary">Añadir al carrito <i class="bi bi-bag"></i></a>
					</div>
				</div>
			</div-->

		</div>
	  <!-- FOOTER -->
	  <footer class="container">
	    <p class="float-end"><a href="#">Regresar arriba</a></p>
	    <p>© 2022 Muebleria Lucy</p>
	  </footer>
	</main>


<script type="text/javascript" src="src/jquery-3.6.0/jquery-3.6.0.min.js"></script>
<script type="text/javascript" src="js/util.js"></script>
<script type="text/javascript" src="js/scripts.js"></script>
<script type="text/javascript">
	$(document).ready(function() {
		$.get('functions/ListarProductos.php', function(data) {
			$("#spinnerProd").remove();
			let response = JSON.parse(data);
			response.listaProductos.forEach( function(element, index) {
				let producto = `<div class="col-12 col-md-6 col-lg-3 p-4">
				<div class="card" >
					<h1 class="precioProd">S/.${element.precioMueble}</h1>
				  <img src="${element.fotoMueble}" class="card-img-top" alt="${element.nombreMueble}">
				  <div class="card-body" style = 'text-align:left'>
				    <h5 class="card-title"> <a href="producto.html?idMueble=${element.idMueble}">${element.nombreMueble}</a></h5>
				    <p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
				    <button type="button" id="btn_${element.idMueble}" onclick="addCar(${element.idMueble},1,${element.precioMueble})" style='width: 100%;' class="btn btn-primary">Añadir al carrito <span id="icon_${element.idMueble}"><i class="bi bi-bag"></i></button></span> 
				  </div>
				</div>
			</div>`;
				$("#contenedorProductos").append(producto)
			});
		});
	});

	
</script>

</body>
</html>